diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/support/smixx-config.in smixx/support/smixx-config.in
--- smixx_web/support/smixx-config.in	1970-01-01 01:00:00.000000000 +0100
+++ smixx/support/smixx-config.in	2005-01-07 15:16:56.000000000 +0100
@@ -0,0 +1,106 @@
+#!/bin/sh
+#
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@ 
+pkgincludedir=@includedir@/@PACKAGE@
+libdir=@libdir@
+pkglibdir=@pkglibdir@
+package="@PACKAGE_TARNAME@"
+string="@PACKAGE_STRING@"
+email="@PACKAGE_BUGREPORT@"
+version="@VERSION@"
+
+
+prog=`basename $0`
+
+if test $# -eq 0 ; then 
+    $0 --help
+    exit 0
+fi
+
+have_lib=0
+while test $# -gt 0 ; do 
+    case $1 in 
+	--*=*)    
+	    opt=`echo $1 | sed 's/=.*//'`
+	    arg=`echo $1 | sed 's/[^=]*=//'` 
+	    ;;
+	--*)
+	    opt=$1
+	    arg=
+	    ;;
+	-*)
+	    opt=$1
+	    arg=$2
+	    ;;
+	*)
+	    echo "$prog: unknown argument '$1', try '$prog --help'"
+	    exit 1
+	    ;;
+    esac
+
+    case $opt in
+	--help|-h) 
+	    cat <<EOF
+Usage: $prog [options]
+
+  --prefix          Gives the installation prefix
+  --libdir          Gives path to libraries
+  --includedir      Gives path to headers 
+  --libs            Gives libraries information 
+  --jni-libs	    Gives Java Native Interface library information
+  --ldflags         Gives linkage information 
+  --cppflags        Gives preprocessor information
+  --has-cxx-api     Output yes if C++ is supported, no otherwise
+  --has-jni         Output yes if the Java Native Interface is avaliable
+  --version         Gives version information
+  --help            Gives this help
+EOF
+	    ;;
+	--version|-v)
+	    cat <<EOF
+$string 
+EOF
+	    exit 0
+	    ;;
+	-V)
+	    echo $version 
+	    exit 0
+	    ;;
+	--prefix|-p)
+	    out="$out $prefix" 
+	    ;;
+	--libdir|-L)
+	    out="$out $libdir"
+	    ;;
+	--includedir|-I)
+	    out="$out $includedir" 
+	    ;;
+	--cppflags|-D)
+	    if test ! "x$pkgincludedir" = "x/usr/include" ; then 
+		out="$out -I$pkgincludedir" 
+	    fi
+	    ;;
+	--ldflags) 
+	    if test ! "x$libdir" = "x/usr/lib" ; then 
+		out="$out -L$libdir" 
+	    fi
+	    out="$out -lsmi" 
+	    have_lib=1
+	    ;;
+	--libs|-l)
+	    out="$out -lsmi" 
+	    have_lib=1
+	    ;;
+	*)
+	    echo "$prog: unknown option '$opt' - try '$prog --help'"
+	    exit 1
+    esac
+    shift
+done
+		
+echo $out	
+		
+	
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/support/smixx.m4 smixx/support/smixx.m4
--- smixx_web/support/smixx.m4	1970-01-01 01:00:00.000000000 +0100
+++ smixx/support/smixx.m4	2006-05-14 22:22:18.000000000 +0200
@@ -0,0 +1,65 @@
+dnl -*- mode: Autoconf -*- 
+dnl
+dnl AC_ROOT_SMI([MINIMUM-VERSION 
+dnl                   [,ACTION-IF_FOUND 
+dnl                    [, ACTION-IF-NOT-FOUND]])
+AC_DEFUN([AC_ROOT_SMIXX],
+[
+    AC_ARG_WITH([smixx-prefix],
+        [AC_HELP_STRING([--with-smixx-prefix],
+		[Prefix where Smixx is installed])],
+        smixx_prefix=$withval, smixx_prefix="")
+
+    if test "x${SMIXX_CONFIG+set}" != xset ; then 
+        if test "x$smixx_prefix" != "x" ; then 
+	    SMIXX_CONFIG=$smixx_prefix/bin/smixx-config
+	fi
+    fi   
+    if test "x${SMIXX_CONFIG+set}" != xset ; then 
+        if test "x$smixx_prefix" != "x" ; then 
+	    SMIXX_CONFIG=$smixx_prefix/bin/smixx-config
+	fi
+    fi   
+    AC_PATH_PROG(SMIXX_CONFIG, smixx-config, no)
+    smixx_min_version=ifelse([$1], ,0.1,$1)
+    
+    AC_MSG_CHECKING(for Smixx version >= $smixx_min_version)
+
+    smixx_found=no    
+    if test "x$SMIXX_CONFIG" != "xno" ; then 
+       SMIXX_CPPFLAGS=`$SMIXX_CONFIG --cppflags`
+       SMIXX_INCLUDEDIR=`$SMIXX_CONFIG --includedir`
+       SMIXX_LIBS=`$SMIXX_CONFIG --libs`
+       SMIXX_LIBDIR=`$SMIXX_CONFIG --libdir`
+       SMIXX_LDFLAGS=`$SMIXX_CONFIG --ldflags`
+       SMIXX_PREFIX=`$SMIXX_CONFIG --prefix`
+       
+       smixx_version=`$SMIXX_CONFIG -V` 
+       smixx_vers=`echo $smixx_version | \
+         awk 'BEGIN { FS = " "; } \
+	   { printf "%d", ($''1 * 1000 + $''2) * 1000 + $''3;}'`
+       smixx_regu=`echo $smixx_min_version | \
+         awk 'BEGIN { FS = " "; } \
+	   { printf "%d", ($''1 * 1000 + $''2) * 1000 + $''3;}'`
+       if test $smixx_vers -ge $smixx_regu ; then 
+            smixx_found=yes
+       fi
+    fi
+    AC_MSG_RESULT($smixx_found - is $smixx_version) 
+  
+    if test "x$smixx_found" = "xyes" ; then 
+        ifelse([$2], , :, [$2])
+    else 
+        ifelse([$3], , :, [$3])
+    fi
+    AC_SUBST(SMIXX_PREFIX)
+    AC_SUBST(SMIXX_CPPFLAGS)
+    AC_SUBST(SMIXX_INCLUDEDIR)
+    AC_SUBST(SMIXX_LDFLAGS)
+    AC_SUBST(SMIXX_LIBDIR)
+    AC_SUBST(SMIXX_LIBS)
+])
+
+dnl
+dnl EOF
+dnl 
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/support/smixx.spec.in smixx/support/smixx.spec.in
--- smixx_web/support/smixx.spec.in	1970-01-01 01:00:00.000000000 +0100
+++ smixx/support/smixx.spec.in	2007-03-19 10:14:03.000000000 +0100
@@ -0,0 +1,156 @@
+#! /usr/bin/rpm
+%define  sovers		@sovers@
+%define _unpackaged_files_terminate_build  0
+
+#_____________________________________________________________________
+# 
+# Normal setup, and main package
+#
+Version: 	@VERSION@
+Release: 	1
+Name:    	@PACKAGE@-bin
+Summary: 	Framework distributed control systems - tools
+Group:   	Applications/Communications
+License: 	GPL
+Source0: 	http://cern.ch/smi/@PACKAGE@-%{version}.tar.gz
+Prefix: 	%{_prefix}
+Url:    	http://cern.ch/smi
+BuildRoot: 	%{_tmppath}/@PACKAGE@-%{version}
+BuildRequires: 	libdim-dev
+BuildRequires:  XFree86-devel
+Requires: 	libdim1
+
+%description
+SMI++ is a framework for designing and implementing distributed
+control systems. SMI++ is based on the original State Manager concept
+which was developed by the DELPHI experiment in collaboration with
+the DD/OC group of CERN. 
+
+In this concept, a real-world system is described in terms of objects
+behaving as Finite State Machines. SMI++ objects can run in a variety
+of platforms all communications being handled transparently by an
+underlying communication system - DIM.
+
+This package provides run-time tools.
+
+Web-page: http://cern.ch/smi
+
+%files 
+%defattr(-,root,root)
+/usr/bin/smiSM
+/usr/bin/smiGUI
+/usr/bin/smiListDomain
+/usr/bin/smiDomainExists
+/usr/bin/smiProxyExists
+/usr/bin/smiGetVersions
+/usr/bin/smiGetDomains
+/usr/share/man/man1/smiSM.1*
+/usr/share/man/man1/smiGUI.1*
+/usr/share/man/man1/smiListDomain.1*
+/usr/share/man/man1/smiDomainExists.1*
+/usr/share/man/man1/smiProxyExists.1*
+/usr/share/man/man1/smiGetVersions.1*
+/usr/share/man/man1/smiGetDomains.1*
+
+#_____________________________________________________________________
+#
+# Library package 
+%package -n lib@PACKAGE@%{sovers}
+Summary: Framework distributed control systems - libraries
+Group:   Development/Libraries
+%description -n lib@PACKAGE@%{sovers}
+SMI++ is a framework for designing and implementing distributed
+control systems. SMI++ is based on the original State Manager concept
+which was developed by the DELPHI experiment in collaboration with
+the DD/OC group of CERN. 
+
+In this concept, a real-world system is described in terms of objects
+behaving as Finite State Machines. SMI++ objects can run in a variety
+of platforms all communications being handled transparently by an
+underlying communication system - DIM.
+
+This package provides run-time libraries.
+
+Web-page: http://cern.ch/smi
+
+%files -n lib@PACKAGE@%{sovers}
+%defattr(-,root,root)
+/usr/lib/lib*.so.%{sovers}*
+
+%pre -n lib@PACKAGE@%{sovers}
+ldconfig
+
+%post -n lib@PACKAGE@%{sovers}
+ldconfig
+
+#_____________________________________________________________________
+#
+# Development package 
+#
+%package -n lib@PACKAGE@-devel
+Summary:  Framework distributed control systems - libraries
+Group:    Development/Libraries
+Requires: lib@PACKAGE@%{sovers}
+%description -n lib@PACKAGE@-devel
+SMI++ is a framework for designing and implementing distributed
+control systems. SMI++ is based on the original State Manager concept
+which was developed by the DELPHI experiment in collaboration with
+the DD/OC group of CERN. 
+
+In this concept, a real-world system is described in terms of objects
+behaving as Finite State Machines. SMI++ objects can run in a variety
+of platforms all communications being handled transparently by an
+underlying communication system - DIM.
+
+This package provides development tools and libraries.
+
+Web-page: http://cern.ch/smi
+
+%files -n lib@PACKAGE@-devel
+%defattr(-,root,root)
+/usr/bin/smiGen
+/usr/bin/smiTrans
+/usr/bin/smiPreproc
+/usr/bin/smimake
+/usr/share/man/man1/smiGen.1*
+/usr/share/man/man1/smiTrans.1*
+/usr/share/man/man1/smiPreproc.1*
+/usr/share/man/man1/smimake.1*
+/usr/include/@PACKAGE@/
+/usr/lib/lib*.a
+/usr/lib/lib*.so
+/usr/lib/lib*.la
+/usr/bin/@PACKAGE@-config
+/usr/share/aclocal/@PACKAGE@.m4
+/usr/share/man/man1/@PACKAGE@-config.1*
+
+#_____________________________________________________________________
+#
+# Build, install, and so on. 
+#
+%prep 
+%setup -n @PACKAGE@-@VERSION@
+
+%build
+%configure
+make
+
+%install
+make DESTDIR=$RPM_BUILD_ROOT install 
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+#_____________________________________________________________________
+# 
+# Changelog
+#
+%changelog
+* Wed Aug 23 2005 Christian Holm <cholm@nbi.dk> 1.2
+ - Spec file generated by configure
+
+
+#_____________________________________________________________________
+#
+# EOF
+#
